# PIPSocketAddressAndPort Class Reference

`#include <ipsock.h>`

List of all members.

## Public Member Functions

| PIPSocketAddressAndPort ()
| PIPSocketAddressAndPort (char separator)
| PIPSocketAddressAndPort (const PString &str, WORD defaultPort=0, char separator= ':')
PBoolean | Parse (const PString &str, WORD defaultPort=0, char separator= ':')
PString | AsString (char separator=0) const
void | SetAddress (const PIPSocket::Address &addr, WORD port=0)
const PIPSocket::Address & | GetAddress () const
WORD | GetPort () const
void | SetPort (WORD port)
bool | IsValid () const

## Protected Attributes

PIPSocket::Address | m_address
WORD | m_port
char | m_separator

## Friends

ostream & | operator<< (ostream &strm, const PIPSocketAddressAndPort &ap)

## Constructor & Destructor Documentation

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( |  | ) | `[inline]`

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( | char | separator | ) | `[inline]`

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( | const PString & | str,
|  | WORD | defaultPort = `0`,
|  | char | separator = `':'` |
| ) |  |  | `[inline]`

## Member Function Documentation

PString PIPSocketAddressAndPort::AsString | ( | char | separator = `0` | ) | const`[inline]`

const PIPSocket::Address& PIPSocketAddressAndPort::GetAddress | ( |  | ) | const`[inline]`

WORD PIPSocketAddressAndPort::GetPort | ( |  | ) | const`[inline]`

bool PIPSocketAddressAndPort::IsValid | ( |  | ) | const`[inline]`

PBoolean PIPSocketAddressAndPort::Parse | ( | const PString & | str,
|  | WORD | defaultPort = `0`,
|  | char | separator = `':'` |
| ) |  |  |

void PIPSocketAddressAndPort::SetAddress | ( | const PIPSocket::Address & | addr,
|  | WORD | port = `0` |
| ) |  |  |

void PIPSocketAddressAndPort::SetPort | ( | WORD | port | ) | `[inline]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const PIPSocketAddressAndPort & | ap |
| ) |  |  | `[friend]`

## Member Data Documentation

PIPSocket::Address PIPSocketAddressAndPort::m_address `[protected]`

WORD PIPSocketAddressAndPort::m_port `[protected]`

char PIPSocketAddressAndPort::m_separator `[protected]`

The documentation for this class was generated from the following file:

- ipsock.h